#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
tip: pyuic5 -x ventana.ui -o ventana_ui.py
@author: martindrech


"""


from PyQt5 import QtCore, QtWidgets
from PyQt5.QtCore import QSettings
from PyQt5.QtWidgets import QAction, QFileDialog, QInputDialog, QWidget
from measurement_ui import Ui_Frame

class MeasurementGui(QtWidgets.QFrame, Ui_Frame):
	def __init__(self):
		super().__init__()
		self.setupUi(self)

	def make_connections(self, backend):
		self.folderButton.clicked.connect(self.select_folder)
	
	def select_folder(self):
		directory = QFileDialog.getExistingDirectory(self, 'Choose directory')
		self.folderBrowser.setText(directory)

class MeasurementWorker(QtCore.QObject):
	"""
	Backend for the measurement frame. 
	"""
	def __init__(self, camera, analog_control_signals):
		super().__init__()

	def make_connections(self, frontend):
		pass

	def simple_scan_measurement(self):
		pass

	
    # def open_from(self, aos, window):
    #     name = QFileDialog.getOpenFileName(window, 'Save File')
        
    #     if not name[0]:
    #         print('Opening was canceled')
    #         return 0
        
    #     settings = QSettings(name[0], QSettings.IniFormat)
    #     settings.beginGroup('Ventana')
    #     for ao in aos:
    #         spin_boxes = ao.spin_boxes
    #         for text, spinb in spin_boxes:
    #             spin = settings.value(str(ao.name) + '_' + text)
    #             spinb.setValue( float(spin) )
    #     settings.endGroup()

if __name__ == '__main__':
	import sys
	from PyQt5 import QtWidgets
	from measurement_ui import Ui_Frame
	app = QtWidgets.QApplication(sys.argv)
	gui = MeasurementGui()
	measurementWorker = MeasurementWorker(None, None)
	measurementWorker.make_connections(gui)
	gui.make_connections(measurementWorker)
	
	gui.show()
	sys.exit(app.exec_())




